docs

# sendDataOrWorkWithQueryId

inline fun sendDataOrWorkWithQueryId (onSendData: () -> String ?, onAnswerWebAppQuery: (WebAppQueryId) -> Unit )
Content copied to clipboard

## Parameters

onSendData

Should return the data which must be used in WebApp.sendData. If returns null, data will not be sent

onAnswerWebAppQuery

In case if WebAppInitData.queryId is presented in WebApp.initDataUnsafe, will be called that callback. Before and after calling of this callback will not be used any method of answering to the telegram system, so, you must use something like answerWebAppQuery by yourself to send the result